#
# spec file for package perl-MooX-Types-MooseLike-Numeric
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-MooX-Types-MooseLike-Numeric
Version:        1.03
Release:        1.30
%define cpan_name MooX-Types-MooseLike-Numeric
Summary:        Moo types for numbers
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/MooX-Types-MooseLike-Numeric/
Source0:        http://www.cpan.org/authors/id/M/MA/MATEU/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Moo) >= 1.004002
BuildRequires:  perl(MooX::Types::MooseLike) >= 0.23
BuildRequires:  perl(Test::Fatal) >= 0.003
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(MooX::Types::MooseLike) >= 0.23
%{perl_requires}

%description
A set of numeric types to be used in Moo-based classes. Adapted from
MooseX::Types::Common::Numeric

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Jan 21 2017 coolo@suse.com
- updated to 1.03
  see /usr/share/doc/packages/perl-MooX-Types-MooseLike-Numeric/Changes
  1.03 - 2017-01-20
  - Add Moo to Build requirements (wpmoore/mendoza)
  - Improve POD (meAmidos)
  - Simplify type constraint tests by making use of subtype (meAmidos)
* Mon Nov 25 2013 coolo@suse.com
- updated to 1.02
  - Correct Makefile NAME
* Sun Aug  4 2013 coolo@suse.com
- initial package 1.01
  * created by cpanspec 1.78.07
